// Programming Techniques - Project
// Ken Webb
// January 5, 2004
// Msg.h: interface for the Msg class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MSG_H__025825E5_D709_4FC4_AC61_BFDB4126DB26__INCLUDED_)
#define AFX_MSG_H__025825E5_D709_4FC4_AC61_BFDB4126DB26__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/**************************************************************************************
                                        Msg

There are no instances of this class.
It is simply a set of global flags that can be initially set to true or false,
and then used by any class in the system to determine whether or not to print a
message to stdout. Each flag controls a different type of message.

To use:
#include "Msg.h"

if (Msg::appM) printf( "This is an application message\n" );

**************************************************************************************/

class Msg  
{
public:
	Msg();
	virtual ~Msg();

	// Global print flags
	static bool appM;   // if true, print application messages
	static bool infoM;  // if true, print informational messages
	static bool errorM; // if true, print error messages
	static bool debugM; // if true, print debug messages
};

#endif // !defined(AFX_MSG_H__025825E5_D709_4FC4_AC61_BFDB4126DB26__INCLUDED_)
