#ifndef TypeData_H_
#define TypeData_H_

typedef enum TypeDataEnum {
ACarbonTDE,
ActiveObjectSchedulerXTDE,
AdenineTDE,
AfferentCentralNeuronTDE,
AlaTDE,
AminoAcidTDE,
AminoAcidPaletteTDE,
AminoGroupTDE,
AmpTDE,
AmpaKainateReceptorTDE,
AnchorProteinTDE,
AndrogenTDE,
AnimalTDE,
ArchebacteriaTDE,
ArgTDE,
ArteryTDE,
AsnTDE,
AspTDE,
AstrocyteTDE,
AstrocyteCellBodyTDE,
AstrocyteFootTDE,
AstrocyteFootCapillaryTDE,
AstrocyteFootNeuronTDE,
AstrocyteWithInnardsTDE,
AtmosphereTDE,
AtriumTDE,
AxonTDE,
AxonBilayerTDE,
AxonHillockTDE,
AxonMembraneTDE,
AxonSegmentTDE,
AxonSegmentSplitterTDE,
BaseTDE,
BaseSugarTDE,
BioEntityClassTDE,
BipolarCellTDE,
BloodPlasmaTDE,
BloodVesselTDE,
BodyOfWaterTDE,
BoneMarrowTDE,
BovineRibonucleaseTDE,
BovineRibonucleaseMoleculeTDE,
BovineRibonucleasePPTDE,
BovineRibonucleaseWithAaActorsTDE,
BrainTDE,
CapillaryTDE,
CarboxylGroupTDE,
CelestialBodyTDE,
CeliacGanglionTDE,
CellBilayerTDE,
CellMembraneTDE,
CellularSolutionTDE,
CellWallTDE,
CentralNervousSystemTDE,
CentralNeuronTDE,
CerebellumTDE,
CerebralCortexTDE,
CerebrumTDE,
ChloroplastTDE,
ChloroplastBilayerTDE,
ChloroplastDualMembraneTDE,
ChloroplastFluidTDE,
ChloroplastIntermembraneSpaceTDE,
ChloroplastMembraneTDE,
CholesterolTDE,
CholineTDE,
ChromosomeTDE,
CirculatorySystemTDE,
CisternaeTDE,
CisternalSpaceTDE,
CmpTDE,
ColonTDE,
ConeTDE,
ConeOuterSegmentTDE,
ConfigurationAgentTDE,
CtfTDE,
CysTDE,
CytoplasmTDE,
CytosineTDE,
CytoSkeletonTDE,
CytosolTDE,
DAmpTDE,
DCmpTDE,
DendriteTDE,
DendriteBilayerTDE,
DendriteMembraneTDE,
DendritesTDE,
DeoxyriboseTDE,
DGmpTDE,
DiencephalonTDE,
DigestedFoodTDE,
DigestiveSystemTDE,
DnaTDE,
DnaNucleotideTDE,
DnaTest1TDE,
DorsalHornLeftTDE,
DorsalHornRightTDE,
DorsalRootGanglionTDE,
DTmpTDE,
EarthTDE,
EfferentCentralNeuronTDE,
EndoplasmicReticulumTDE,
EndosomeTDE,
EndosomeBilayerTDE,
EndosomeFluidTDE,
EndosomeMembraneTDE,
EndosomeSpaceTDE,
EnzymeTDE,
ErBilayerTDE,
ErFluidTDE,
ErMembraneTDE,
ErythrocyteTDE,
EsophagusTDE,
EstradiolTDE,
EstrogenTDE,
EubacteriaTDE,
EukaryoteTDE,
EukaryoticCellTDE,
ExtraCellularSolutionTDE,
EyeTDE,
FibrilTDE,
FilamentTDE,
FoodTDE,
ForeBrainTDE,
FreeNerveEndingTDE,
FreeNerveEndingNeuronTDE,
GabaAReceptorTDE,
GaiaTDE,
GanglionCellTDE,
GaseousSolutionTDE,
GlnTDE,
GluTDE,
GlucagonTDE,
GlyTDE,
GlycerolTDE,
GlycolipidTDE,
GmpTDE,
GolgiBilayerTDE,
GolgiComplexTDE,
GolgiFluidTDE,
GolgiMembraneTDE,
GolgiSacculeTDE,
GolgiSpaceTDE,
GranuleTDE,
GranumTDE,
GuanineTDE,
HeartTDE,
HeatTDE,
HemeTDE,
HemoglobinTDE,
HemoglobinMoleculeTDE,
HemoglobinPPaTDE,
HemoglobinPPbTDE,
HindBrainTDE,
HisTDE,
HumanBeingTDE,
HydrogenAtomTDE,
HypoThalamusTDE,
IleTDE,
InferiorMesentericGanglionTDE,
InorganicPrecursorTDE,
IntermediateFilamentTDE,
InternalSpaceTDE,
InterNeuronTDE,
LandTDE,
LargeIntestineTDE,
LateralGeniculateNucleusTDE,
LeftAtriumTDE,
LeftVentricleTDE,
LettuceTDE,
LeuTDE,
LgNeuroreceptorTDE,
LifeTheUniverseAndEverythingTDE,
LipidTDE,
LipidBilayerTDE,
LipidDisintegrationTDE,
LipidLayerTDE,
LipidNonPolarTailTDE,
LipidPolarHeadTDE,
LungTDE,
LysTDE,
LysosomeTDE,
LysosomeBilayerTDE,
LysosomeFluidTDE,
LysosomeMembraneTDE,
LysosomeSpaceTDE,
MatrixTDE,
MatrixsolTDE,
MechanoReceptorTDE,
MechanoReceptorNeuronTDE,
MedullaTDE,
MeissnerCorpuscleTDE,
MeissnerCorpuscleNeuronTDE,
MembraneTDE,
MerkelsDiskTDE,
MerkelsDiskNeuronTDE,
MetTDE,
MicroFilamentTDE,
MicroTubuleTDE,
MidBrainTDE,
MitochondrialDualMembraneTDE,
MitochondrialInnerBilayerTDE,
MitochondrialInnerMembraneTDE,
MitochondrialIntermembranesolTDE,
MitochondrialIntermembraneSpaceTDE,
MitochondrialOuterBilayerTDE,
MitochondrialOuterMembraneTDE,
MitochondrionTDE,
MmfAgentTDE,
MmfReflectorTDE,
MotorCortexTDE,
MotorEndPlateTDE,
MotorNeuronTDE,
MouthTDE,
MRnaTDE,
MRnaTest1TDE,
MucosalCellTDE,
MucosalCellMembraneTDE,
MuscleTDE,
MuscleCellBodyTDE,
MuscleFiberTDE,
MuscleSpindleTDE,
MuscleSpindleNeuronTDE,
MyelinCellTDE,
NervousSystemTDE,
NervousSystemEntityTDE,
NervousSystemModelTDE,
NeuronTDE,
NeuronCapillaryConnectorTDE,
NeuronCapillaryConnectorsTDE,
NeuronCellBodyTDE,
NeuronSystem1TDE,
NicotinicAChReceptorTDE,
NmdaReceptorTDE,
NuclearEnvelopeTDE,
NuclearInnerBilayerTDE,
NuclearInnerMembraneTDE,
NuclearLaminaTDE,
NuclearOuterBilayerTDE,
NuclearOuterMembraneTDE,
NuclearPoreTDE,
NuclearPoreAqueousChannelTDE,
NucleoidTDE,
NucleolusTDE,
NucleoplasmTDE,
NucleosolTDE,
NucleotideTDE,
NucleusTDE,
OligodendrocyteTDE,
OrganicMatterTDE,
PacinianCorpuscleTDE,
PacinianCorpuscleNeuronTDE,
Page320KinaseTDE,
Page320PhosphataseTDE,
PalmitateTDE,
ParasymOrganGanglionTDE,
PerinuclearFluidTDE,
PerinuclearSpaceTDE,
PeripheralNervousSystemTDE,
PeroxisomeTDE,
PeroxisomeBilayerTDE,
PeroxisomeFluidTDE,
PeroxisomeMembraneTDE,
PeroxisomeSpaceTDE,
Pfk_2TDE,
PheTDE,
PhosphateGroupTDE,
PhospholipidTDE,
PhotoReceptorTDE,
PhotoReceptorNeuronTDE,
PlantTDE,
PolyPeptideTDE,
PonsTDE,
PrimaryVisualCortexTDE,
PrionTDE,
ProTDE,
ProgesteroneTDE,
ProkaryoteTDE,
ProkaryoticCellTDE,
PurineTDE,
PyrimidineTDE,
PyruvateTransporterTDE,
RectumTDE,
RegulatoryComplexTDE,
RetinaTDE,
RetinaConesAndRodsTDE,
RgAlaTDE,
RgArgTDE,
RgAsnTDE,
RgAspTDE,
RgCysTDE,
RgGlnTDE,
RgGluTDE,
RgGlyTDE,
RgHisTDE,
RgIleTDE,
RgLeuTDE,
RgLysTDE,
RgMetTDE,
RgPheTDE,
RgProTDE,
RGroupTDE,
RgSerTDE,
RgThrTDE,
RgTrpTDE,
RgTyrTDE,
RgValTDE,
RiboseTDE,
RibosomeTDE,
RightAtriumTDE,
RightVentricleTDE,
RingSubunitTDE,
RnaNucleotideTDE,
RnaPolymeraseTDE,
RnaPolymeraseITDE,
RnaPolymeraseIITDE,
RnaPolymeraseIIITDE,
RockTDE,
RodTDE,
RodOuterSegmentTDE,
RoughErTDE,
RRnaTDE,
RuffinisCorpuscleTDE,
RuffinisCorpuscleNeuronTDE,
SchwannCellTDE,
SecretoryVesicleTDE,
SecretoryVesicleBilayerTDE,
SecretoryVesicleFluidTDE,
SecretoryVesicleMembraneTDE,
SecretoryVesicleSpaceTDE,
SensorTDE,
SensoryReceptorNeuronTDE,
SerTDE,
SimpleEcologyTDE,
SingleCellTDE,
SingleCellModelTDE,
SingleCellTest_2002TDE,
SkeletalMuscleCellTDE,
SmallIntestineTDE,
SmartProbeAgentTDE,
SmoothErTDE,
SoilTDE,
SolarSystemTDE,
SolutionTDE,
SolventTDE,
Sp1TDE,
SphingolipidTDE,
SpinalArteryTDE,
SpinalCordTDE,
SpinalCordCervicalRegionTDE,
SpinalCordCoccygealRegionTDE,
SpinalCordLumbarRegionTDE,
SpinalCordRegionTDE,
SpinalCordSacralRegionTDE,
SpinalCordThoracicRegionTDE,
SpinalInterNeuronTDE,
SpinalVeinTDE,
SpokeTDE,
SteroidTDE,
SteroidHormoneTDE,
StomachTDE,
StromaLamellaeTDE,
SucroseTransporterTDE,
SunTDE,
SympatheticChainTDE,
SympatheticChainGanglionTDE,
SynapsesTDE,
SynapticCleftTDE,
SynapticCleftFluidTDE,
SynapticVesicleTDE,
SynapticVesicleBilayerTDE,
SynapticVesicleFluidTDE,
SynapticVesicleMembraneTDE,
SynapticVesicleSpaceTDE,
SynaptotagminTDE,
TerminalButtonTDE,
TerminalButtonBilayerTDE,
TerminalButtonFluidTDE,
TerminalButtonMembraneTDE,
TerminalButtonPlasmTDE,
TerminalButtonsTDE,
TestosteroneTDE,
TfIIBTDE,
TfIIDTDE,
TfIIETDE,
TfIIFTDE,
TfIIHTDE,
ThalamusTDE,
TheArrowOfTimeTDE,
ThrTDE,
ThylakoidTDE,
ThymineTDE,
TranscriptionComplexTDE,
TranscriptionComplexITDE,
TranscriptionComplexIITDE,
TranscriptionComplexIIITDE,
TranscriptionFactorBTDE,
TranscriptionFactorBPassiveTDE,
TranscriptionFactorRTDE,
TransporterTDE,
TransportProteinTDE,
TriglycerideTDE,
TRnaTDE,
TrpTDE,
TyrTDE,
UmpTDE,
UracilTDE,
VacuoleTDE,
VacuoleBilayerTDE,
VacuoleMembraneTDE,
ValTDE,
variousPhospholipidSubclassesTDE,
VeinTDE,
VentralHornLeftTDE,
VentralHornParasymTDE,
VentralHornRightTDE,
VentralHornSymTDE,
VentricleTDE,
VesFusionProteinTDE,
VesicleTDE,
ViroidTDE,
VirusTDE,
VoltageGatedCaChannelTDE,
VoltageGatedChannelTDE,
VoltageGatedKChannelTDE,
VoltageGatedNaChannelTDE,
WaterTDE,
} TypeDataEnum;

#endif
